import Footer from "@/components/Footer";
import { getTranslations } from "next-intl/server";
import { FC, PropsWithChildren } from "react";
type Props = {};

export const generateMetadata = async () => {
    const t = await getTranslations("titles");
    return {
        title: t("home"),
    };
};
const Layout: FC<PropsWithChildren<Props>> = (props) => {
    const { children } = props;
    return (
        <>
            <main className={"main-footer"}>{children}</main>
            <Footer />
        </>
    );
};

export default Layout;
